Doomsday Engine - Feature #1637

Switch to Qt 5
2013-10-23 20:32 - skyjake

Status: Closed Start date: 2013-10-23
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 1.15

Description

We should switch to using Qt 5 when it is stable and full-featured enough for our needs.

Current status is that almost everything should be working except some platform-specific details like a unified toolbar in the GUI Shell
on OS X, and Qt shared library deployment has not been set up yet on Windows.

Related issues:

Related to Feature #1746: Enable C++11 Closed 2014-04-10
Precedes Feature #1675: Switch to new Qt 5.4+ OpenGL APIs (from QGLWidget) Closed 2013-10-24
History

#1 - 2013-10-23 20:33 - skyjake
- % Done changed from 0 to 90

#2 - 2013-10-23 20:33 - skyjake

- Description updated

#3 - 2013-10-24 07:16 - skyjake

- Description updated

#4 - 2014-05-01 15:50 - skyjake
Qt 5.3 is working well enough on OS X for our purposes. 1.15 could potentially be made with Qt 5.3/5.4.

#5 - 2014-05-05 07:30 - skyjake

| have now switched to using Qt 5.3 on my development system (OS X).

#6 - 2014-07-17 15:52 - skyjake

- Target version setto 1.15

#7 - 2014-07-17 18:13 - skyjake
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

#8 - 2015-03-21 22:54 - skyjake

- Related to Feature #1794: Mobile apps and shared client/server code (more modular code structure) added

#9 - 2015-03-21 22:54 - skyjake

- Related to deleted (Feature #1794: Mobile apps and shared client/server code (more modular code structure))
